Cluster - Create Or Update
Create confluent clusters
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Confluent/organizations/{organizationName}/environments/{environmentId}/clusters/{clusterId}?api-version=2024-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
cluster
|
path | True |
string |
Confluent kafka or schema registry cluster id |
|
environment
|
path | True |
string |
Confluent environment id |
|
organization
|
path | True |
string |
Organization resource name |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| kind |
string |
Type of cluster |
| properties.metadata |
Metadata of the record |
|
| properties.spec |
Specification of the cluster |
|
| properties.status |
Specification of the cluster status |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource 'SCClusterRecord' update operation succeeded |
|
| 201 Created |
Resource 'SCClusterRecord' create operation succeeded |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Cluster_CreateOrUpdate
Sample request
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Confluent/organizations/myOrganization/environments/env-1/clusters/cluster-1?api-version=2024-07-01
{
"properties": {
"spec": {
"environment": {
"id": "env-1"
},
"package": "ESSENTIALS",
"region": "us-east4"
}
}
}
Sample response
{
"name": "cluster-1",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Confluent/organizations/myOrganization/environments/env-1/clusters/cluster-1",
"kind": "Cluster",
"properties": {
"metadata": {
"createdTimestamp": "2006-01-02T15:04:05-07:00",
"deletedTimestamp": "2006-01-02T15:04:05-07:00",
"resourceName": "crn://confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/environment=env-abc123/cloud-cluster=lkc-12345",
"self": "https://api.confluent.cloud/cmk/v2/clusters/lkc-12345",
"updatedTimestamp": "2006-01-02T15:04:05-07:00"
},
"spec": {
"name": "ProdKafkaCluster",
"apiEndpoint": "https://pkac-00000.us-west-2.aws.confluent.cloud",
"availability": "SINGLE_ZONE",
"byok": {
"id": "cck-00000",
"related": "https://api.confluent.cloud/byok/v1/keys/cck-00000",
"resourceName": "https://api.confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/key=cck-00000"
},
"cloud": "GCP",
"config": {
"kind": "Basic"
},
"environment": {
"environment": "string",
"id": "env-00000",
"related": "https://api.confluent.cloud/v2/environments/env-00000",
"resourceName": "https://api.confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/environment=env-00000"
},
"httpEndpoint": "https://lkc-00000-00000.us-central1.gcp.glb.confluent.cloud",
"kafkaBootstrapEndpoint": "lkc-00000-00000.us-central1.gcp.glb.confluent.cloud:9092",
"network": {
"environment": "string",
"id": "n-00000",
"related": "https://api.confluent.cloud/networking/v1/networks/n-00000",
"resourceName": "https://api.confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/environment=env-abc123/network=n-00000"
},
"region": "us-east4"
},
"status": {
"cku": 2,
"phase": "PROVISIONED"
}
}
}
{
"name": "cluster-1",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Confluent/organizations/myOrganization/environments/env-1/clusters/cluster-1",
"kind": "Cluster",
"properties": {
"metadata": {
"createdTimestamp": "2006-01-02T15:04:05-07:00",
"deletedTimestamp": "2006-01-02T15:04:05-07:00",
"resourceName": "crn://confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/environment=env-abc123/cloud-cluster=lkc-12345",
"self": "https://api.confluent.cloud/cmk/v2/clusters/lkc-12345",
"updatedTimestamp": "2006-01-02T15:04:05-07:00"
},
"spec": {
"name": "ProdKafkaCluster",
"apiEndpoint": "https://pkac-00000.us-west-2.aws.confluent.cloud",
"availability": "SINGLE_ZONE",
"byok": {
"id": "cck-00000",
"related": "https://api.confluent.cloud/byok/v1/keys/cck-00000",
"resourceName": "https://api.confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/key=cck-00000"
},
"cloud": "GCP",
"config": {
"kind": "Basic"
},
"environment": {
"environment": "string",
"id": "env-00000",
"related": "https://api.confluent.cloud/v2/environments/env-00000",
"resourceName": "https://api.confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/environment=env-00000"
},
"httpEndpoint": "https://lkc-00000-00000.us-central1.gcp.glb.confluent.cloud",
"kafkaBootstrapEndpoint": "lkc-00000-00000.us-central1.gcp.glb.confluent.cloud:9092",
"network": {
"environment": "string",
"id": "n-00000",
"related": "https://api.confluent.cloud/networking/v1/networks/n-00000",
"resourceName": "https://api.confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/environment=env-abc123/network=n-00000"
},
"region": "us-east4"
},
"status": {
"cku": 2,
"phase": "PROVISIONED"
}
}
}
Definitions
| Name | Description |
|---|---|
|
Cluster |
The configuration of the Kafka cluster |
|
Cluster |
Status of the cluster record |
|
created |
The type of identity that created the resource. |
|
Error |
Response body of Error |
| Package |
Stream Governance Package. Supported values are ESSENTIALS and ADVANCED |
|
Resource |
Default error response for resource provider |
|
SCCluster |
The network associated with this object |
|
SCCluster |
The environment or the network to which cluster belongs |
|
SCCluster |
Details of cluster record |
|
SCCluster |
Spec of the cluster record |
|
SCMetadata |
Metadata of the data record |
|
system |
Metadata pertaining to creation and last modification of the resource. |
ClusterConfigEntity
The configuration of the Kafka cluster
| Name | Type | Description |
|---|---|---|
| kind |
string |
The lifecycle phase of the cluster |
ClusterStatusEntity
Status of the cluster record
| Name | Type | Description |
|---|---|---|
| cku |
integer (int32) |
The number of Confluent Kafka Units |
| phase |
string |
The lifecycle phase of the cluster |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponseBody
Response body of Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| details |
Error detail |
|
| message |
string |
Error message |
| target |
string |
Error target |
Package
Stream Governance Package. Supported values are ESSENTIALS and ADVANCED
| Value | Description |
|---|---|
| ESSENTIALS | |
| ADVANCED |
ResourceProviderDefaultErrorResponse
Default error response for resource provider
| Name | Type | Description |
|---|---|---|
| error |
Response body of Error |
SCClusterByokEntity
The network associated with this object
| Name | Type | Description |
|---|---|---|
| id |
string |
ID of the referred resource |
| related |
string |
API URL for accessing or modifying the referred object |
| resourceName |
string |
CRN reference to the referred resource |
SCClusterNetworkEnvironmentEntity
The environment or the network to which cluster belongs
| Name | Type | Description |
|---|---|---|
| environment |
string |
Environment of the referred resource |
| id |
string |
ID of the referred resource |
| related |
string |
API URL for accessing or modifying the referred object |
| resourceName |
string |
CRN reference to the referred resource |
SCClusterRecord
Details of cluster record
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| kind |
string |
Type of cluster |
| name |
string |
The name of the resource |
| properties.metadata |
Metadata of the record |
|
| properties.spec |
Specification of the cluster |
|
| properties.status |
Specification of the cluster status |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
SCClusterSpecEntity
Spec of the cluster record
| Name | Type | Description |
|---|---|---|
| apiEndpoint |
string |
The Kafka API cluster endpoint |
| availability |
string |
The availability zone configuration of the cluster |
| byok |
Specification of the cluster byok |
|
| cloud |
string |
The cloud service provider |
| config |
Specification of the cluster configuration |
|
| environment |
Specification of the cluster environment |
|
| httpEndpoint |
string |
The cluster HTTP request URL. |
| kafkaBootstrapEndpoint |
string |
The bootstrap endpoint used by Kafka clients to connect to the cluster |
| name |
string |
The name of the cluster |
| network |
Specification of the cluster network |
|
| package |
Stream governance configuration |
|
| region |
string |
The cloud service provider region |
| zone |
string |
type of zone availability |
SCMetadataEntity
Metadata of the data record
| Name | Type | Description |
|---|---|---|
| createdTimestamp |
string |
Created Date Time |
| deletedTimestamp |
string |
Deleted Date time |
| resourceName |
string |
Resource name of the record |
| self |
string |
Self lookup url |
| updatedTimestamp |
string |
Updated Date time |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |